<h1>Les films</h1>

<h2>Recherche</h2>

<div class="form-row">
  <div class="form-group col">
    <label for="titreInput">Titre</label>
    <input type="text" class="form-control" id="titreInput" [(ngModel)]="rechercheTitre" (ngModelChange)="chercheFilm()">
  </div>
</div>

<div class="form-row">
  <div class="form-group col">
    <label for="realisateurSelect">Réalisateur</label>
    <select id="realisateurSelect" class="form-control" [(ngModel)]="rechercheRealisateur" (ngModelChange)="chercheFilm()">
      <option [ngValue]="null" selected>Tous les réalisateurs</option>
      <option *ngFor="let realisateur of realisateurList" [ngValue]="realisateur.noRea">
        {{realisateur.nomRea}} {{realisateur.prenRea}}
      </option>
    </select>
  </div>

  <div class="form-group col">
    <label for="catSelect">Catégorie</label>
    <select id="catSelect" class="form-control" [(ngModel)]="rechercheCategorie" (ngModelChange)="chercheFilm()">
      <option value="" selected>Toutes les catégories</option>
      <option *ngFor="let cat of categorieList" [ngValue]="cat.codeCat">
        {{cat.libelleCat}}
      </option>
    </select>
  </div>
</div>

<h2>
  Liste

  <button class="btn btn-success" (click)="newFilm()">
    Nouveau film
  </button>
</h2>

<table class="table">
  <thead>
    <tr>
      <th scope="col">Titre</th>
      <th scope="col">Durée (min)</th>
      <th scope="col">Date de sortie</th>
      <th scope="col">Budget</th>
      <th scope="col">Montant de recette</th>
      <th scope="col">Réalisateur</th>
      <th scope="col">Catégorie</th>
      <th scope="col">Actions</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let film of filmSelected"
        app-film-detail
        [film]="film"
        [realisateurList]="realisateurList"
        [categorieList]="categorieList"
        (eventFilm)="updateListFilm()">
    </tr>
  </tbody>
</table>
